KoboTerminalNGX API DocsGet a free API key

All ETFs

Every NGX exchange-traded fund with ISIN, issuer, previous close, open/high/low, change, trades, volume and value.

http
GET https://koboterminal.com/api/ngxdata/etfs

Plan: Free and above (free key, no card).

Request

bash
curl "https://koboterminal.com/api/ngxdata/etfs" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/etfs",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/etfs", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "source": "NGX statistics/etfs",
  "updated_at": "2026-11-18T23:20:39.145Z",
  "count": 12,
  "data": [
    {
      "symbol": "STANBICETF30",
      "canonical_symbol": "STANBICETF30",
      "slug": "stanbicetf30",
      "name": "Stanbic IBTC ETF 30",
      "issuer": "Stanbic IBTC Asset Management",
      "isin": "NGSTBKETF308",
      "description": "Stanbic IBTC ETF 30 tracks the NGX 30 Index — the 30 largest and most liquid companies on the Nigerian Exchange — providing diversified exposure to Nigeria's blue-chip equities.",
      "instrument_type": "ETF",
      "exchange": "NGX",
      "currency": "NGN",
      "sector": "Exchange Traded Funds",
      "previous_close": 939.99,
      "open": 940,
      "high": 940,
      "low": 899,
      "close": 900,
      "change": -39.99,
      "change_percentage": -4.25,
      "trades": 251,
      "volume": 29919,
      "value": 27240114.09,
      "detail_url": "https://ngxgroup.com/exchange/trade/exchange-traded-funds/listed-etp/etp-details/?isin=NGSTBKETF308&directory=etpdirectory"
    }
  ]
}

Use it from an AI assistant

This endpoint is available as the list_etfs tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.